*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;


}
/*
	By default, our element's border, padding are calculated on top of the content.

*/
#div1 {
	/*margin is space generated outside of the element.*/
	/*border is space generated between your margin and padding.*/
	/*padding is space generated inside the element, between your border and your content.*/
	/*margins and paddings have four directions they can be added at the top, bottom, right, left.*/
	/*margin: <value> - adds margin on all sides.*/
	/*margin: <topAndBottom> <leftAndRight>*/
	/*margin: <top> <leftAndRight> <bottom>*/
	/*margin: <top> <right> <bottom> <left>*/

/*	margin-top: 10px;
	margin-right: 5px;
	margin-left: 30px;
	margin-bottom: 30px;*/


	/*margin: 100px 10px 5px 50px;*/
	border: 2px solid black;
	padding: 20px;
	background-color: red;
	height: 100px;
	width: 100px;
	display: inline-block;
	vertical-align: top;

	/*without box-sizing or the default: 

		width is calculated like this: 

		2px left border + 20px left padding + 100px width + 20px right padding + 2px right border = 144px

		box-sizing: content-box; - border and padding are added on top of the width.
		box-sizing property allows us to determine how we calculate the size of the elements.

		with box-sizing: 

		width is calculated like this: 

		2px left border + 20px left padding + 56px content width + 20px right padding + 2px right border = 100px

		box-sizing: border-box; border and padding is included in the total width of the element.

		inline vs block vs inline-block

		block will occupy the whole width of its parent therefore it breaks the line. However, we can manipulate the height and width of our block element.

		inline will only occupy the size of its content. You can't set the width and the height of the inline element. This will then display the elements beside each other.

		inline-block works almost like an inline element wherein it will not start on a new line and will put elements beside each other. However, with inline-block, you can set the width and the height.

		vertical-align: top will allow us to align our items vertically from the top. It is usually used in conjunction with inline-block elements. 
	*/
}

#div2 {
	border: 2px solid black;
	padding: 20px;
	background-color: orange;
	height: 100px;
	width: 100px;
	display: inline-block;
	vertical-align: top;
}

#span1 {
	display: inline-block;
	border: 2px solid black;
	background-color: green;
	height: 100px;
	width: 100px;
}
#span2 {
	display: inline-block;
	border: 2px solid black;
	background-color: blue;
	height: 100px;
	width: 100px;
}